EnderDashEnderDash

Delete Alert Rule

Delete Alert Rule. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/activity.deleteAlertRule

Delete Alert Rule. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId*string
ruleId*string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/activity.deleteAlertRule" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "ruleId": "string"  }'
{  "result": {    "data": {      "success": true    }  }}